Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.common
Class ResourceException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--weblogic.utils.NestedException
                        |
                        +--weblogic.common.ResourceException

Direct Known Subclasses:
  ConnectDeadException, ConnectDisabledException

public class ResourceException
extends weblogic.utils.NestedException

Class for ResourceExceptions.

Author:
  Copyright (c) 1995-98 by WebLogic, Inc., Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  Serialized Form

Constructor Summary
`ResourceException()` Constructs a Resource Exception.
`ResourceException(java.lang.String s)` Constructs a ResourceException with the specified message.
`ResourceException(java.lang.String s, java.lang.Throwable t)`

Methods inherited from class weblogic.utils.NestedException
`getMessage, getNested, getNestedException, printStackTrace, printStackTrace, superPrintStackTrace, superToString, toString`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, printStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ResourceException

    public ResourceException(java.lang.String s)

  Constructs a ResourceException with the specified message. A ResourceException indicates that no resource is currently available.

  Parameters:
    `s` - String message

### ResourceException

    public ResourceException()

  Constructs a Resource Exception. A ResourceException indicates that no resource is currently available.

### ResourceException

    public ResourceException(java.lang.String s,
                             java.lang.Throwable t)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD